<?php
include_once("auth.php");
//include_once "base/toolbar.class.php";
//include_once "db/dbElemento.class.php";
include "mod/destaque/destaque.class.php";
include_once ("base/lista.class.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//PT">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Images</title>
	
	<link rel="STYLESHEET" type="text/css" href="admin.css">
<script>
var campo="<?=$_REQUEST['campo']; ?>";

function escolhe(url){
	pai=eval("window.opener.document.dataform." + campo);
	pai.value=url;
	doc1=eval("window.opener");
	doc1.escreveTodos();
	//	myi=campo.substring(6);
	//  doc1.escreve(myi, url);
	self.close();
}

function muda(tipo, idCat){
	document.location.href="relacao.popup.php?campo="+campo+"&idCat=" + idCat;
}


function mudaOffset(offset){
document.location.href="main.php?campo="+campo+"&offset=" + offset;
}
</script>
</head>

<body >
<form enctype="multipart/form-data" name="dataform" action="imagem.popup.php" method="POST">
<?
class listaRelacao extends lista{

	
    function tabelaEditar($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
            foreach($this->dados as $t){
    			//$linkId='?idD=' . $t["id"] . '&id=' . $_REQUEST['idOld'] . '&idCatD='. $_REQUEST['idCatD']. "&tipoD=" . $_REQUEST["tipoD"];
                $linkId="javascript:escolhe('" . $t["id"] ."')";
            	$linkEditar='<a href='. $linkId ;
                //$linkApagar='<a href="void(null)"';
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c)
					echo "<td>" .$linkEditar . ">$c</a></td>";

				print '<td height="20" width=110 align="left">';
                echo "</td></tr>\n";        
				$i++;
    		}

    }
	

    function tabelaEscolher($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
            foreach($this->dados as $t){
    			$linkId='?idCatD=' . $t["id"] . '&campo=' . $_REQUEST['campo'] . "&tipoD=" . $t["tipo1"];
                $linkEditar='<a href='. $linkId . "&cmd=editar";
                //$linkApagar='<a href="void(null)"';
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c)
					echo "<td>" .$linkEditar . ">$c</a></td>";

				print '<td height="20" width=110 align="left">';
                echo "</td></tr>\n";        
				$i++;
    		}

    }
    
    
}
///////////////////////////////////////////////////////////

class relacaoPopup extends destaque{
	
	function relacaoPopup(){
		$this->req=$_REQUEST;
		$this->req['limit']=50;
		
		$this->idCat=$this->req['idCat'];
		$this->tipo="artigo";
		
		if ($this->req['cmd']=="editar")$this->editar(); else $this->listar();

	}
	

	function editar(){

		/*if (empty($this->req['idCatD']) ){
			$this->escolher();
			exit;
		}*/
		
		$campos=array("Nr"=>"id","Titulo"=> "titulo");

		$db= new dbElemento;
		
		$linha=$db->getLinha("categoria", $_REQUEST['idCatD']);

		//$tipoD=$_REQUEST['tipoD'];
		$tipoD="artigo";
		
		$dados=$db->getLista($tipoD, $this->req['idCatD'], $campos , "titulo", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
		$this->req['total']=$db->getTotal($tipoD, $this->req['idCatD'], $this->req['procurar'], $this->req['filtro']);
				
		$f= new listaRelacao($campos, $dados, $this->req);
		//$f->toolbars();
		$toolbar= new toolbar(); 
		
      	$extra="&cmd=editar&idOld=".$this->req['idOld']."&idCatD=".$this->req['idCatD'] . "&TipoD=" . $tipoD;
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total'], $extra);
		$toolbar->ini();
		$toolbar->fim();

		$f->titulo();
		$f->titulo("Escolher");
		$f->cabecaSimples();
		$f->tabelaEditar();
		$f->mostra();
	}
	
	
	function listar(){
		$campos=array("Nr"=>"id","Categoria"=> "categoria" , "Tipo"=>"tipo1");

		$db= new dbElemento;
		
		$this->req['filtro']['id']=$this->idCat;
		$dados=$db->getLista("categoria", "", $campos , "ordem", 1 ,0, 150, $this->req['procurar'], $this->req['filtro'] );
		

		$tam=sizeof($dados);
		for ($id=0; $id < $tam; $id++){
			$dados[$id]['categoria']=$this->path($dados[$id]['id']);
		}
		
		$f= new listaRelacao($campos, $dados, $this->req);
	
		//$f->campoValor($id, $this->req['id']);
		
		$f->titulo();
		$f->titulo("Escolher Categoria");
		$f->cabecaSimples();
		$f->tabelaEscolher();
		$f->mostra();
	}
	
	

	
	
    function path($id, $cat="categoria"){
      $path="";	
      if ($id){
    		$sql = "select * from $cat where id=$id";
            $d= new dbCategoria;
    		$lista =  $d->get( $sql );	
    		$path .=$this->path($lista[0]['idPai'], $cat) . $lista[0]['categoria'] ." / ";
        } else $path="/";
		return $path;
    }
    
    
	function filhos($id=0, $dados){
		$campos=array("Nr"=>"id","Categoria"=> "categoria" , "Tipo"=>"tipo1");
		
		$db= new dbElemento;
		
		$this->req['filtro']['id']=$id;
		$dados1=$db->getLista("categoria", "", $campos , "categoria", 1 ,0, 150, $this->req['procurar'], $this->req['filtro'] );
		$dados = array_merge($dados, $dados1);
		
		$sql = "select * from categoria where idPai=$id";
		$lista =  $db->get( $sql );
		
		if ($lista){
			foreach($lista as $row	){
				$this->filhos($row['id'], $dados);
			}
		}
	
	
	}


}

$a=new relacaoPopup;


?>
</form>
</body>
